%define upstream_name    Authen-Simple
%define upstream_version 0.5

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Simple Authentication
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(Crypt::PasswdMD5)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Simple and consistent framework for authentication.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.500.0-8.mga6
+ Revision: 1022674
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.500.0-7.mga6
+ Revision: 949707
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.500.0-6.mga5
+ Revision: 790234
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.500.0-5.mga5
+ Revision: 743685
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.500.0-4.mga5
+ Revision: 683575
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.500.0-3.mga4
+ Revision: 509207
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.500.0-2.mga3
+ Revision: 363247
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.500.0-1.mga3
+ Revision: 254570
- update to 0.5

* Sat Jan 22 2011 jquelin <jquelin> 0.400.0-1.mga1
+ Revision: 31720
- mageia rebuild
- imported package perl-Authen-Simple


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.400.0-1mdv2010.1
+ Revision: 504579
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.4-2mdv2010.0
+ Revision: 430263
- rebuild

* Fri Oct 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.4-1mdv2009.0
+ Revision: 291357
- import perl-Authen-Simple


* Thu Oct 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.4-1mdv2009.1
- initial mdv release, generated with cpan2dist

